Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.enterprise.deploy.spi
Interface DeploymentConfiguration

public interface DeploymentConfiguration

An interface that defines a container for all the server-specific configuration information for a single top-level J2EE module. The DeploymentConfiguration object could represent a single stand alone module or an EAR file that contains several sub-modules.

Version:
  0.1
Author:
  gfink

Method Summary
`DConfigBeanRoot` | `getDConfigBeanRoot(DDBeanRoot bean)` Returns the top level configuration bean, DConfigBeanRoot, associated with the deployment descriptor represented by the designated DDBeanRoot bean.
`DeployableObject` | `getDeployableObject()` Returns an object that provides access to the deployment descriptor data and classes of a J2EE module.
`void` | `removeDConfigBean(DConfigBeanRoot bean)` Remove the root DConfigBean and all its children.
`void` | `restore(java.io.InputStream inputArchive)` Restore from disk to a full set of configuration beans previously stored.
`DConfigBeanRoot` | `restoreDConfigBean(java.io.InputStream inputArchive, DDBeanRoot bean)` Restore from disk to instantated objects all the DConfigBeans associated with a specific deployment descriptor.
`void` | `save(java.io.OutputStream outputArchive)` Save to disk the current set configuration beans created for this deployable module.
`void` | `saveDConfigBean(java.io.OutputStream outputArchive, DConfigBeanRoot bean)` Save to disk all the configuration beans associated with a particular deployment descriptor file.

Method Detail

### getDeployableObject

    public DeployableObject getDeployableObject()

  Returns an object that provides access to the deployment descriptor data and classes of a J2EE module.

  Returns:
    DeployableObject

### getDConfigBeanRoot

    public DConfigBeanRoot getDConfigBeanRoot(DDBeanRoot bean)
                                       throws ConfigurationException

  Returns the top level configuration bean, DConfigBeanRoot, associated with the deployment descriptor represented by the designated DDBeanRoot bean.

  Parameters:
    `bean` - The top level bean that represents the associated deployment descriptor.
  Returns:
    the DConfigBeanRoot for editing the server-specific properties required by the module.
  Throws:
    `ConfigurationException` - reports errors in generating a configuration bean

### removeDConfigBean

    public void removeDConfigBean(DConfigBeanRoot bean)
                           throws BeanNotFoundException

  Remove the root DConfigBean and all its children.

  Parameters:
    `bean` - the top leve DConfigBean to remove.
  Throws:
    `BeanNotFoundException` - the bean provides is not in this beans child list.

### restoreDConfigBean

    public DConfigBeanRoot restoreDConfigBean(java.io.InputStream inputArchive,
                                              DDBeanRoot bean)
                                       throws ConfigurationException

  Restore from disk to instantated objects all the DConfigBeans associated with a specific deployment descriptor. The beans may be fully or partially configured.

  Parameters:
    `inputArchive` - The input stream for the file from which the DConfigBeans should be restored.
    `bean` - The DDBeanRoot bean associated with the deployment descriptor file.
  Returns:
    The top most parent configuration bean, DConfigBeanRoot
  Throws:
    `ConfigurationException` - reports errors in generating a configuration bean

### saveDConfigBean

    public void saveDConfigBean(java.io.OutputStream outputArchive,
                                DConfigBeanRoot bean)
                         throws ConfigurationException

  Save to disk all the configuration beans associated with a particular deployment descriptor file. The saved data may be fully or partially configured DConfigBeans. The output file format is recommended to be XML.

  Parameters:
    `outputArchive` - The output stream to which the DConfigBeans should be saved.
    `bean` - The top level bean, DConfigBeanRoot, from which to be save.
  Throws:
    `ConfigurationException` - reports errors in generating a configuration bean

### restore

    public void restore(java.io.InputStream inputArchive)
                 throws ConfigurationException

  Restore from disk to a full set of configuration beans previously stored.

  Parameters:
    `inputArchive` - The input stream from which to restore the Configuration.
  Throws:
    `ConfigurationException` - reports errors in generating a configuration bean

### save

    public void save(java.io.OutputStream outputArchive)
              throws ConfigurationException

  Save to disk the current set configuration beans created for this deployable module. It is recommended the file format be XML.

  Parameters:
    `outputArchive` - The output stream to which to save the Configuration.
  Throws:
    `ConfigurationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.